#include <iostream>

using namespace std;

int main()
{
long long h;
long long w;
cin>>h;
cin>>w;
int mat[h][w];
for (int i=1;i<=h;i++)
{
    for (int j=1;j<=w;j++)
    cin>>mat[i][j];
}
cout<<"-1";

    return 0;
}